Swiftmailer error while upgrading from v4 to v5


#1

Hello

I have upgraded Pimcore from v4 => v5.0.1 with Pimcore CLI migration script, but I get following error after upgrade:

Fatal error: Uncaught Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException: You have requested a non-existent service "swiftmailer.mailer.transport.". in /www/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ContainerBuilder.php on line 979

Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException: You have requested a non-existent service "swiftmailer.mailer.transport.". in /www/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ContainerBuilder.php on line 979

Call Stack:
    1.3473   30195704   1. Symfony\Component\Debug\ErrorHandler->handleException() /www/vendor/symfony/symfony/src/Symfony/Component/Debug/ErrorHandler.php:0

Any ideas how to solve this?


#2

After some time of debugging I have found that I skipped setting newsletter > method in var/config/system.php to null. It shouldn’t be empty stings as stated in upgrade Documentation…